server.modules += ("mod_scgi")
server.modules += ("mod_rewrite")

scgi.protocol = "uwsgi"

$HTTP["host"] =~ "paste.example.org" {
    server.name          = "paste.example.org"
    server.document-root = "/srv/bepasty/files"
    alias.url += (
        "/static/" => "/usr/lib/python3/dist-packages/bepasty/static/",
    )
    url.redirect += (
        "^/$" => "/bepasty/",
    )                                                          
    $HTTP["url"] !~ "^/static" {                               
	scgi.server = (
	    "/" => (
		(
		   "socket" => "/run/uwsgi/app/bepasty/socket",
		   "check-local" => "disable"
		)
	    )
	)
    }
}
